# Class BackportBase

java.lang.Object
org.apache.tomcat.buildutil.translate.BackportBase

Direct Known Subclasses:
  `BackportEnglish`, `BackportTranslations`

public abstract class BackportBase extends Object
Base class providing common implementation for back-port utilities.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Properties`
  `sourceEnglish`
  `protected final Map<String,Properties>`
  `sourceTranslations`
  `protected final File`
  `storageDir`
  `protected final Properties`
  `targetEnglish`
  `protected final File`
  `targetRoot`
  `protected final Map<String,Properties>`
  `targetTranslations`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BackportBase(String... args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `execute()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sourceTranslations

    protected final Map<String,Properties> sourceTranslations

  - ### targetTranslations

    protected final Map<String,Properties> targetTranslations

  - ### targetRoot

    protected final File targetRoot

  - ### sourceEnglish

    protected final Properties sourceEnglish

  - ### targetEnglish

    protected final Properties targetEnglish

  - ### storageDir

    protected final File storageDir

- ## Constructor Details

  - ### BackportBase

    protected BackportBase(String... args) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### execute

    protected abstract void execute() throws IOException
    Throws:
      `IOException`